<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.feesapi.sfds.mapper.BankDsdzxxMapper">

  <resultMap id="bankDsdzxxMap" type="com.tofly.feesapi.sfds.entity.BankDsdzxx">
                <id property="id" column="ID"/>
                                                                                                                                        <result property="yhbh" column="YHBH"/>
                      <result property="yhzwrq" column="YHZWRQ"/>
                      <result property="sfrq" column="SFRQ"/>
                      <result property="yhzwlsh" column="YHZWLSH"/>
                      <result property="fffs" column="FFFS"/>
                      <result property="xzje" column="XZJE"/>
                      <result property="jfje" column="JFJE"/>
                      <result property="dzbz" column="DZBZ"/>
                      <result property="dzrq" column="DZRQ"/>
                      <result property="yhdm" column="YHDM"/>
                                                                                                                                                                                                                                                                                                                  </resultMap>
    <select id="getPage" resultType="com.tofly.feesapi.sfds.entity.dto.BankDsdzxxSelect">
        SELECT a.* FROM bank_dsdzxx a
        WHERE 1 = 1
        <if test="filter.yhdm!=null">
            AND a.yhdm = #{filter.yhdm}
        </if>
        <if test="filter.yhbh!=null">
            AND a.yhbh = #{filter.yhbh}
        </if>
        <if test="filter.dzbz!=null">
            AND a.dzbz = #{filter.dzbz}
        </if>
        <if test="filter.yhzwrqStart!=null and filter.yhzwrqEnd!=null">
            AND a.yhzwrq BETWEEN #{filter.yhzwrqStart} AND
            #{filter.yhzwrqEnd}
        </if>
    </select>


</mapper>
